/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(255,255,255); /* Fallback color */
  background-color: rgba(255,255,255,0.8); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 2rem;
  border: 1px solid #888;
  width: 300px; /* Could be more or less, depending on screen size */
  /*min-width: 400px;*/
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  /*animation-name: animatetop;
  animation-duration: 0.4s;*/
  top: 25%;
  border-radius: 3px;
}

.modal-header {
    display: flex;
    align-items: center;
    margin-bottom: 1.5rem;
}

.modal-header img{
    margin-right: 1rem;
}

.modal-content.blue {
    background-color: #e9f7fe;
    border: 1px solid #00ABF0;
}

.modal-content.blue h3 {
    margin-bottom: 0;
    color: #00ABF0;
}

.modal-content.red {
    background-color: #fdf8cd;
    border: 1px solid #FFDF00;
}

.modal-content.red h3 {
    margin-bottom: 0;
    color: #FF0000;
}

.modal-body input {
    margin-bottom: 0;
}

.modal-body {
    margin-bottom: 2rem;
}

.modal-body input.edit_code {
    max-width: 70px;
    margin-left: 2px;
    text-transform: uppercase;
    width: 18%;
}

input.edit_term {
    width: 80%;
}

#edit_tag .modal-body {
    display: flex;
    align-items: baseline;
    flex-wrap: wrap;
}

#error_modal .modal-body {
    font-size: 80%;
}

.modal-message {
    font-size: 14px;
    font-weight: bold;
    color: red;
    padding: 1rem 0;
}

.modal-footer.saving {
    background-image: url("/assets/img/load_more2.gif");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 35%;
    height: 36px;
}

.modal-footer {
    display: flex;
    gap: 10px;
}